POST
/
v2
/
alerts
/
{alert_id}
/
matches
/
{listing_id}
/
seen
Mark an alert match as seen
curl --request POST \
  --url https://api-v2.watchcollect.com/v2/alerts/{alert_id}/matches/{listing_id}/seen \
  --header 'Authorization: Bearer <token>'
{
  "status": "accepted",
  "event_ids": [
    "018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
  ],
  "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string<uuid>
required
listing_id
string<uuid>
required

Response

202 - application/json

Alert match seen event accepted. The read model is updated asynchronously by the alert projector.

status
enum<string>
required
Available options:
accepted,
duplicate_accepted,
rejected,
conflict,
noop
event_ids
string<uuid>[]
required
request_id
string
required
resource_id
string | null